export const propDefs = [
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'propertyName': 'email_field',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'length': 128,
        'semanticType': 'EMAIL',
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'propertyName': 'int_unformatted_number',
        'propertyType': 'integer',
        'semanticType': 'UNFORMATTED',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'displayLength': 10,
        'format': 'int64',
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'decimal',
        'propertyName': 'largeDecimal',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'length': 20,
        'scale': 8,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'propertyName': 'numeric_time_hhmm',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'format': 'time',
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'propertyName': 'int_time_hhmmss',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'format': 'time',
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'length': 9,
        'propertyName': 'money_field',
        'propertyType': 'string',
        'semanticType': 'MONEY',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'format': 'decimal',
        'scale': 2,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'date',
        'propertyName': 'timestamp_date',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'date',
        'propertyName': 'numeric_date',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'decimal',
        'propertyName': 'numeric_unformatted_number',
        'propertyType': 'string',
        'semanticType': 'UNFORMATTED',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'length': 8,
        'scale': 0,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'propertyName': 'date_field',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'format': 'date',
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'date-time',
        'propertyName': 'timestamp_time',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'propertyName': 'L_phoneNumber',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'length': 10,
        'semanticType': 'NAME',
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'time',
        'propertyName': 'numeric_time_hhmmss',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'decimal',
        'propertyName': 'numeric_field',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'length': 11,
        'scale': 2,
        'semanticType': 'PERCENTAGE',
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'length': 8,
        'propertyName': 'numeric_percent',
        'propertyType': 'string',
        'semanticType': 'PERCENTAGE',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'format': 'decimal',
        'scale': 4,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'propertyName': 'int_date',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'format': 'date',
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'propertyName': 'html',
        'propertyType': 'string',
        'semanticType': 'HTML',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
        'length': 200,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'time',
        'propertyName': 'L_Current_Time_plus_One',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'length': 10,
        'propertyName': 'alpha_key',
        'propertyType': 'string',
        'semanticType': 'NAME',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'time',
        'propertyName': 'int_time_hhmm',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'propertyName': 'boolean_field',
        'propertyType': 'boolean',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'date',
        'propertyName': 'numeric_date_cyymmdd',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'byte',
        'propertyName': 'image',
        'propertyType': 'string',
        'semanticType': 'LARGE_PROPERTY',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'code-ref',
        'propertyName': 'char_field',
        'propertyType': 'object',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'time',
        'propertyName': 'L_Current_Time',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'date',
        'propertyName': 'L_CURRENT_DATE_Plus_OneMONTH',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'length': 250,
        'propertyName': 'emailTest',
        'propertyType': 'string',
        'semanticType': 'EMAIL',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'password',
        'length': 40,
        'propertyName': 'password_field',
        'propertyType': 'string',
        'semanticType': 'PASSWORD',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'time',
        'propertyName': 'time_field',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'length': 200,
        'propertyName': 'url_field',
        'propertyType': 'string',
        'semanticType': 'URL',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'length': 80,
        'propertyName': 'phone_field',
        'propertyType': 'string',
        'semanticType': 'TELEPHONE',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'length': 2147483647,
        'propertyName': 'text_field',
        'propertyType': 'string',
        'semanticType': 'TEXT_BLOCK',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'displayLength': 10,
        'format': 'int64',
        'propertyName': 'int_field',
        'propertyType': 'integer',
        'semanticType': 'WHOLE_QUANTITY',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
    {
        'type': 'hxgn.api.dialog.PropertyDef',
        'canCauseSideEffects': false,
        'format': 'date',
        'propertyName': 'L_Current_Date',
        'propertyType': 'string',
        'upperCaseOnly': false,
        'writeAllowed': false,
        'writeEnabled': false,
    },
];

export const columns = [
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'int_unformatted_number',
        'propertyName': 'int_unformatted_number',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'money_field',
        'propertyName': 'money_field',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'alpha_key',
        'propertyName': 'alpha_key',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'boolean_field',
        'propertyName': 'boolean_field',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'char_field',
        'propertyName': 'char_field',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'date_field',
        'propertyName': 'date_field',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'int_date',
        'propertyName': 'int_date',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'int_field',
        'propertyName': 'int_field',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'Large Decimal',
        'propertyName': 'largeDecimal',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'int_time_hhmm',
        'propertyName': 'int_time_hhmm',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'int_time_hhmmss',
        'propertyName': 'int_time_hhmmss',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'L_Current_Time',
        'propertyName': 'L_Current_Time',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'L_Current_Time_plus_One',
        'propertyName': 'L_Current_Time_plus_One',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'numeric_date',
        'propertyName': 'numeric_date',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'L_Current_Date',
        'propertyName': 'L_Current_Date',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'L_CURRENT_DATE_Plus_OneMONTH',
        'propertyName': 'L_CURRENT_DATE_Plus_OneMONTH',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'numeric_date_cyymmdd',
        'propertyName': 'numeric_date_cyymmdd',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'numeric_field',
        'propertyName': 'numeric_field',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'numeric_percent',
        'propertyName': 'numeric_percent',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'numeric_time_hhmm',
        'propertyName': 'numeric_time_hhmm',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'numeric_time_hhmmss',
        'propertyName': 'numeric_time_hhmmss',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'numeric_unformatted_number',
        'propertyName': 'numeric_unformatted_number',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'password_field',
        'propertyName': 'password_field',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'text_field',
        'propertyName': 'text_field',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'time_field',
        'propertyName': 'time_field',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'timestamp_date',
        'propertyName': 'timestamp_date',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'timestamp_time',
        'propertyName': 'timestamp_time',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'url_field',
        'propertyName': 'url_field',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'email_field',
        'propertyName': 'email_field',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'phone_field',
        'propertyName': 'phone_field',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'displayMediaInline': true,
        'heading': 'image',
        'propertyName': 'image',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'Email',
        'propertyName': 'emailTest',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'html',
        'propertyName': 'html',
    },
    {
        'type': 'hxgn.api.dialog.Column',
        'heading': 'Current User Phone Number',
        'propertyName': 'L_phoneNumber',
    },
];

export const rows = [
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BGND_COLOR',
                'value': '#F1BFEF',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BOLD_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'ITALIC_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'TIP_TEXT',
                'value': 'Boolean fld = to 0',
            },
        ],
        'id': 'A         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
                'value': '123456789012345678901234567890123456789012345678901234567890123456789012345678901@yahoo.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'int64',
                'name': 'int_unformatted_number',
                'value': 1234567891,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmm',
                'value': '00:00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmmss',
                'value': '12:00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Money fld GREATER THAN 300',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#EF07BE',
                    },
                ],
                'format': 'decimal',
                'name': 'money_field',
                'value': '4567.67',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'timestamp_date',
                'value': '2019-06-14',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2019-06-15',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_unformatted_number',
                'value': '12345',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2019-07-05',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date-time',
                'name': 'timestamp_time',
                'value': '2019-06-14T02:00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmmss',
                'value': '00:00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '123456789.11',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '1234.1234',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2019-06-14',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
                'value': '<b>This line should be bold</b><br/>test 2',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'String fld = A',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#2F0AF3',
                    },
                ],
                'name': 'alpha_key',
                'value': 'A         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#DCEC21',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Time LESS THAN 034625',
                    },
                ],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '00:00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F4EE6B',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld NOT EQUAL 1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'boolean_field',
                'value': false,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date_cyymmdd',
                'value': '2019-06-14',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
                'value': {
                    'type': 'hxgn.api.dialog.LargeProperty',
                    'encodedData': '',
                    'hasMore': true,
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F44C58',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': '0 = Boolean fld',
                    },
                ],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'A',
                    'description': 'Value A',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#E7F81C',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NOT NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: A',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
                'value': 'temptyu',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '13:04',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
                'value': 'http://www.hasbro.com/common/instruct/life.pdf',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
                'value': '1231231234',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'First line \nsecond line\nthird line\nfourth line \nfifth line\nwill it ever end?\nyes\nyes\ntesting',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#3CF912',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int field in Red ForeGround / int_fleld>money_field',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F90202',
                    },
                ],
                'format': 'int64',
                'name': 'int_field',
                'value': 1234567891,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [],
        'id': 'B         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
                'value': 'scott.mueller@hexagon.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'int64',
                'name': 'int_unformatted_number',
                'value': 99,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmm',
                'value': '12:00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmmss',
                'value': '12:00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Money fld GREATER THAN 300',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#EF07BE',
                    },
                ],
                'format': 'decimal',
                'name': 'money_field',
                'value': '4567.67',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'timestamp_date',
                'value': '2019-06-14',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2019-06-14',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_unformatted_number',
                'value': '0',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2019-06-14',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date-time',
                'name': 'timestamp_time',
                'value': '2019-06-13T04:00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmmss',
                'value': '12:00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '123456789.22',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '0.0000',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2019-06-14',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
                'value': 'This word is <i>italic</i> <b> Bold</b>',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'alpha_key',
                'value': 'B         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#DCEC21',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Time LESS THAN 034625',
                    },
                ],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '00:00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'boolean_field',
                'value': true,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date_cyymmdd',
                'value': '2019-06-14',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
                'value': {
                    'type': 'hxgn.api.dialog.LargeProperty',
                    'encodedData': '',
                    'hasMore': true,
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'A',
                    'description': 'Value A',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#E7F81C',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NOT NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: B',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
                'value': 'temo12355',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '00:00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
                'value': 'https://www.catavolt.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
                'value': '1231231234',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'thanks you so much for your help and support you and your family.Thanks thanks n and thank you so much for all the prayers of the day but I will not be able to make it to the meeting tonight and anything else you need Get a wrap and  im testing this for almost a decade now! Come on seriously... this is the basic funtionality of test\n\n\nEmpty space above ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'int64',
                'name': 'int_field',
                'value': 0,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [],
        'id': 'C         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
                'value': 'test@nospam.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'int64',
                'name': 'int_unformatted_number',
                'value': 1222333444,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmm',
                'value': '14:40',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmmss',
                'value': '17:18:55',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Money fld GREATER THAN 300',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#EF07BE',
                    },
                ],
                'format': 'decimal',
                'name': 'money_field',
                'value': '4567.67',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'timestamp_date',
                'value': '2019-11-20',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2018-11-20',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_unformatted_number',
                'value': '1123',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2018-11-16',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'TImeStamp LESS THAN 2018-01-01',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#FA0113',
                    },
                ],
                'format': 'date-time',
                'name': 'timestamp_time',
                'value': '2012-10-03T00:00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmmss',
                'value': '14:00:58',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '-134.43',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '0.1245',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2018-09-30',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'alpha_key',
                'value': 'C         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '22:12',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'boolean_field',
                'value': true,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date_cyymmdd',
                'value': '1998-07-28',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
                'value': {
                    'type': 'hxgn.api.dialog.LargeProperty',
                    'encodedData': '',
                    'hasMore': true,
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'A',
                    'description': 'Value A',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#E7F81C',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NOT NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: C',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
                'value': '123456789',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '03:20',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
                'value': 'www.google.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
                'value': '123456',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'test\ntest\ntest\ntest\n',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#3CF912',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int field in Red ForeGround / int_fleld>money_field',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F90202',
                    },
                ],
                'format': 'int64',
                'name': 'int_field',
                'value': 1222333,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [],
        'id': 'D         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmm',
                'value': '14:12',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmmss',
                'value': '03:17',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Money fld GREATER THAN 300',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#EF07BE',
                    },
                ],
                'format': 'decimal',
                'name': 'money_field',
                'value': '1234567.77',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2019-01-17',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#988DF1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN 2018-01-01',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2015-02-25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'TImeStamp LESS THAN 2018-01-01',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#FA0113',
                    },
                ],
                'format': 'date-time',
                'name': 'timestamp_time',
                'value': '2017-11-01T08:49:23',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmmss',
                'value': '14:17:42',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '123456789.67',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '1234.1234',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2015-02-28',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'alpha_key',
                'value': 'D         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '15:11',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'boolean_field',
                'value': true,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_date_cyymmdd',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
                'value': {
                    'type': 'hxgn.api.dialog.LargeProperty',
                    'encodedData': '',
                    'hasMore': true,
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'B',
                    'description': 'Value B',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#E7F81C',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NOT NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: D',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '13:46',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
                'value': '2482471234',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'Foo bar fib kale blather no gonzo monkey ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [],
        'id': 'E         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmm',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'money_field',
                'value': '123.40',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#988DF1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN 2018-01-01',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2013-06-05',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'TImeStamp LESS THAN 2018-01-01',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#FA0113',
                    },
                ],
                'format': 'date-time',
                'name': 'timestamp_time',
                'value': '2013-06-05T17:31:28',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '-66.12',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '5555.0000',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2015-02-25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
                'value': 'html </br> html',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'alpha_key',
                'value': 'E         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '17:31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'boolean_field',
                'value': true,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_date_cyymmdd',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
                'value': {
                    'type': 'hxgn.api.dialog.LargeProperty',
                    'encodedData': '',
                    'hasMore': true,
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'char_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#E7F81C',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NOT NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: E',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
                'value': 'ssss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'time_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
                'value': '2482486578',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'test',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [],
        'id': 'F         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
                'value': 'test@gmail..co.in',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmm',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'money_field',
                'value': '-432.52',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'timestamp_date',
                'value': '2018-11-30',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2018-11-02',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_unformatted_number',
                'value': '15525',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#988DF1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN 2018-01-01',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2015-02-26',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_time',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '-123456789.00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '13.0000',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2018-11-02',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'alpha_key',
                'value': 'F         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_time_hhmm',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'boolean_field',
                'value': true,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date_cyymmdd',
                'value': '2018-11-02',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'Z',
                    'description': 'Z',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#1CF8E0',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: F',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
                'value': '6666666',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '00:17',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
                'value': 'http://www.nvidia.com/page/home.html',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
                'value': '2461226644',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'This is a text filed and it\'s a srting length 2,147,483,647. Test if it can wrap when it reaches the end of the screen. Please watch and verify that it happens. \rThis is a text filed and it\'s a srting length 2,147,483,647. Test if it can wrap when it reaches the end of the screen. Please watch and verify that it happens. \rThis is a text filed and it\'s a srting length 2,147,483,647. Test if it can wrap when it reaches the end of the screen. Please watch and verify that it happens. \rThis is a text filed and it\'s a srting length 2,147,483,647. Test if it can wrap when it reaches the end of the screen. Please watch and verify that it happens. v\r\rThis is a text filed and it\'s a srting length 2,147,483,647. Test if it can wrap when it reaches the end of the screen. Please watch and verify that it happens. \rv\rv\rThis is a text filed and it\'s a srting length 2,147,483,647. Test if it can wrap when it reaches the end of the screen. Please watch and verify that it happens. v\rv\r\rv\rv\rThis is a text filed and it\'s a srting length 2,147,483,647. Test if it can wrap when it reaches the end of the screen. Please watch and verify that it happens. This is a text filed and it\'s a srting length 2,147,483,647. Test if it can wrap when it reaches the end of the screen. Please watch and verify that it happens. \rv\rv\rv\rv\rv\r\r\rThis is a text filed and it\'s a srting length 2,147,483,647. Test if it can wrap when it reaches the end of the screen. Please watch and verify that it happens. This is a text filed and it\'s a srting length 2,147,483,647. Test if it can wrap when it reaches the end of the screen. Please watch and verify that it happens. This is a text filed and it\'s a srting length 2,147,483,647. Test if it can wrap when it reaches the end of the screen. Please watch and verify that it happens. This is a text filed and it\'s a srting length 2,147,483,647. Test if it can wrap when it reaches the end of the screen. Please watch and verify that it happens.',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Interger fld NE 0',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#FA8C12',
                    },
                ],
                'format': 'int64',
                'name': 'int_field',
                'value': -525,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [],
        'id': 'G         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
                'value': 'g@hexagon.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'int64',
                'name': 'int_unformatted_number',
                'value': 1234567891,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmm',
                'value': '13:24',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmmss',
                'value': '13:24',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Money fld GREATER THAN 300',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#EF07BE',
                    },
                ],
                'format': 'decimal',
                'name': 'money_field',
                'value': '1234567.89',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'timestamp_date',
                'value': '2019-02-13',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2019-02-13',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_unformatted_number',
                'value': '123456',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2019-02-13',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_time',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmmss',
                'value': '13:24',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '123456789.11',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '1234.5678',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2019-02-13',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
                'value': '<b>html</b>',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'alpha_key',
                'value': 'G         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '13:24',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'boolean_field',
                'value': true,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date_cyymmdd',
                'value': '2019-02-13',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
                'value': {
                    'type': 'hxgn.api.dialog.LargeProperty',
                    'encodedData': '',
                    'hasMore': true,
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'B',
                    'description': 'Value B',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#E7F81C',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NOT NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: G',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
                'value': '7',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '13:23',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
                'value': 'https://www.catavolt.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
                'value': '2341231234',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'text field\nalways be this way!!!',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#3CF912',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int field in Red ForeGround / int_fleld>money_field',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F90202',
                    },
                ],
                'format': 'int64',
                'name': 'int_field',
                'value': 1234567891,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [],
        'id': 'H         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
                'value': 'test@gmail.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmm',
                'value': '20:26',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmmss',
                'value': '20:26:34',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'money_field',
                'value': '45.56',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_unformatted_number',
                'value': '1234',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#988DF1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN 2018-01-01',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2017-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_time',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmmss',
                'value': '20:26:34',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '1223.00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '1234.8000',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
                'value': 'treety',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'alpha_key',
                'value': 'H         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '20:26',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'boolean_field',
                'value': true,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date_cyymmdd',
                'value': '2016-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'char_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#1CF8E0',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: H',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '20:26:34',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
                'value': 'www.catavolt.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
                'value': '2342342345',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'Testing my text field to see if I can see all that I just typed in and the text wraps after jt reaches the end of the screen.. hooray yes it did!! Testing my text field to see if I can see all that I just typed in and the text wraps after jt reaches the end of the screen.. hooray yes it did!! Testing my text field to see if I can see all that I just typed in and the text wraps after jt reaches the end of the screen.. hooray yes it did!! Testing my text field to see if I can see all that I just typed in and the text wraps after jt reaches the end of the screen.. hooray yes it did!! Testing my text field to see if I can see all that I just typed in and the text wraps after jt reaches the end of the screen.. hooray yes it did!! ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#3CF912',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int field in Red ForeGround / int_fleld>money_field',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F90202',
                    },
                ],
                'format': 'int64',
                'name': 'int_field',
                'value': 1234567891,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [],
        'id': 'I         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
                'value': 'guru@gmail.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'int64',
                'name': 'int_unformatted_number',
                'value': 1234567890,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmm',
                'value': '09:14',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmmss',
                'value': '09:14:35',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Money fld GREATER THAN 300',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#EF07BE',
                    },
                ],
                'format': 'decimal',
                'name': 'money_field',
                'value': '1245.00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2018-11-20',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_unformatted_number',
                'value': '12',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2018-11-20',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_time',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmmss',
                'value': '09:14:35',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '123456789.11',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '1234.1234',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2019-01-03',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
                'value': 'A <href=" /www.hexagon.com"\u001d>string <b>of<b> HTML</a>&hellip;',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'alpha_key',
                'value': 'I         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '09:14',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'boolean_field',
                'value': true,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date_cyymmdd',
                'value': '2018-11-19',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'J',
                    'description': 'J',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#1CF8E0',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: I',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '08:13:35',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
                'value': 'www.google.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
                'value': '12312312344',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'text\ntext\ntext\ntext\ntext\nand this is the last text line\ntext\ntext\ntext\ntext\ntext\nand this is the last text linetext\ntext\ntext\ntext\ntext\nand this is the last text line\n\n',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#3CF912',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int field in Red ForeGround / int_fleld>money_field',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F90202',
                    },
                ],
                'format': 'int64',
                'name': 'int_field',
                'value': 1234567891,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [],
        'id': 'J         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmm',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'money_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'timestamp_date',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_time',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_percent',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'alpha_key',
                'value': 'J         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '13:47',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'boolean_field',
                'value': true,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date_cyymmdd',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'char_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#1CF8E0',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: J',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '14:40:02',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
                'value': 'zillowapp://search/',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'This is to check if I can enter data and also to check if it can wrap up tge text when it reaches tge end of the screen. im going to be better attitude. I will be there in a few minutes and a couple of other things to do in order to get the kids together and have a great weekend as well.',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [],
        'id': 'K         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmm',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'money_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'timestamp_date',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_time',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_percent',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'alpha_key',
                'value': 'K         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_time_hhmm',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'boolean_field',
                'value': true,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date_cyymmdd',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'char_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#1CF8E0',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: K',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'time_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
                'value': 'studio://studio.corbinselectric.com/257-817-873/Demo Project/Navigation Page.pdf',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'verifying text field \n\n\n\n\n\n\n',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BGND_COLOR',
                'value': '#F1BFEF',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BOLD_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'ITALIC_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'TIP_TEXT',
                'value': 'Boolean fld = to 0',
            },
        ],
        'id': 'L         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
                'value': 'sadguru@gmail.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'int64',
                'name': 'int_unformatted_number',
                'value': 1245,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmm',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#71F2EA',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': '1 <> to Boolean fld',
                    },
                ],
                'format': 'decimal',
                'name': 'money_field',
                'value': '12.00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'timestamp_date',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_unformatted_number',
                'value': '16',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date-time',
                'name': 'timestamp_time',
                'value': '2019-02-27T16:32:43',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmmss',
                'value': '19:45:23',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '14.00',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '14.2500',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
                'value': '< html> <b>',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#BAF76A',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld = to false',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'alpha_key',
                'value': 'L         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_time_hhmm',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F4EE6B',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld NOT EQUAL 1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'boolean_field',
                'value': false,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date_cyymmdd',
                'value': '2018-11-21',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F44C58',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': '0 = Boolean fld',
                    },
                ],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'C',
                    'description': 'Value C',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#1CF8E0',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: L',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '11:53:23',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
                'value': 'www.google.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
                'value': '2342341234',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'sample text and this is not a very large entry-level for the next few days and I have to go to the store and get some rest and feel better soon and that is why I am asking for a friend to talk to you about it when I see it again with the same name as a reference for the next few days and I have to go to the store and get some rest and feel better soon and that is why I am asking for a friend to talk to you about it when I see it again with the same name as a reference for the next few days and I have to go to the store and get some rest and feel better soon and that is why I am asking for a friend to talk to you about it when I see it again with the same thing as you can see from the picture of the I have to go to the store and get some rest and feel better soon and that is why I am asking for a friend to talk to you about it when I see it :-):-):-) and please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need to talk to you about it when I get home and let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need to talk to you about it when I get home and let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need to talk to you about it when I get home and let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need to talk to you about it when I get home and let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need to talk to you about it when I get home and let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need to talk to you about it when I get home and let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need to talk to you about it when I get home and let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need to talk to you about it when I get home and let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need to talk to you about it when I get home and let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please let me know if you need anything else from me please',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#3CF912',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int field in Red ForeGround / int_fleld>money_field',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F90202',
                    },
                ],
                'format': 'int64',
                'name': 'int_field',
                'value': 1266666777,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BGND_COLOR',
                'value': '#F1BFEF',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BOLD_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'ITALIC_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'TIP_TEXT',
                'value': 'Boolean fld = to 0',
            },
        ],
        'id': 'M         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmm',
                'value': '12:55',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmmss',
                'value': '14:39:28',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#71F2EA',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': '1 <> to Boolean fld',
                    },
                ],
                'name': 'money_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#988DF1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN 2018-01-01',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '1979-07-26',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_time',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_percent',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2019-01-27',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#BAF76A',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld = to false',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'alpha_key',
                'value': 'M         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '14:36',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F4EE6B',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld NOT EQUAL 1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'boolean_field',
                'value': false,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_date_cyymmdd',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F44C58',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': '0 = Boolean fld',
                    },
                ],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'A',
                    'description': 'Value A',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#1CF8E0',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: M',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '14:35:18',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BGND_COLOR',
                'value': '#F1BFEF',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BOLD_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'ITALIC_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'TIP_TEXT',
                'value': 'Boolean fld = to 0',
            },
        ],
        'id': 'N         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmm',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#71F2EA',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': '1 <> to Boolean fld',
                    },
                ],
                'name': 'money_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2019-01-03',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_time',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_percent',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F6BAA8',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld NOT EQ true',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'int_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#BAF76A',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld = to false',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'alpha_key',
                'value': 'N         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '13:42',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F4EE6B',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld NOT EQUAL 1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'boolean_field',
                'value': false,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_date_cyymmdd',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F44C58',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': '0 = Boolean fld',
                    },
                ],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'D',
                    'description': 'Value D',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#1CF8E0',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: N',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '12:46',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BGND_COLOR',
                'value': '#F1BFEF',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BOLD_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'ITALIC_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'TIP_TEXT',
                'value': 'Boolean fld = to 0',
            },
        ],
        'id': 'O         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
                'value': 'tracey@pcs.contrc',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'int64',
                'name': 'int_unformatted_number',
                'value': 1234567891,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmm',
                'value': '10:13',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmmss',
                'value': '10:13:36',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#71F2EA',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': '1 <> to Boolean fld',
                    },
                ],
                'name': 'money_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'timestamp_date',
                'value': '2019-01-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2019-01-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_unformatted_number',
                'value': '12345678',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2019-01-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'TImeStamp LESS THAN 2018-01-01',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#FA0113',
                    },
                ],
                'format': 'date-time',
                'name': 'timestamp_time',
                'value': '2017-03-17T11:01:38',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmmss',
                'value': '10:13:38',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '123456789.14',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '1234.5679',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2019-01-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#BAF76A',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld = to false',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'alpha_key',
                'value': 'O         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '12:48',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F4EE6B',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld NOT EQUAL 1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'boolean_field',
                'value': false,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date_cyymmdd',
                'value': '2019-01-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F44C58',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': '0 = Boolean fld',
                    },
                ],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'E',
                    'description': 'Value E',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#1CF8E0',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: O',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '12:36:57',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
                'value': '1234567895',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'wraps \nlike this and this is awsome\nyes!',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#3CF912',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int field in Red ForeGround / int_fleld>unformattednoecimal_field',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F90202',
                    },
                ],
                'format': 'int64',
                'name': 'int_field',
                'value': 1234567891,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BGND_COLOR',
                'value': '#F1BFEF',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BOLD_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'ITALIC_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'TIP_TEXT',
                'value': 'Boolean fld = to 0',
            },
        ],
        'id': 'P         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'int64',
                'name': 'int_unformatted_number',
                'value': 1234567891,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmm',
                'value': '10:52',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmmss',
                'value': '10:52:13',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Money fld GREATER THAN 300',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#EF07BE',
                    },
                ],
                'format': 'decimal',
                'name': 'money_field',
                'value': '1234567.89',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'timestamp_date',
                'value': '2019-01-04',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date',
                'value': '2019-01-04',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_unformatted_number',
                'value': '12355585',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2018-01-30',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_time',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'numeric_time_hhmmss',
                'value': '10:52:22',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '12345678.14',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '1234.5678',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int_Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'int_date',
                'value': '2019-01-01',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#BAF76A',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld = to false',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'alpha_key',
                'value': 'P         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'int_time_hhmm',
                'value': '10:54',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F4EE6B',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld NOT EQUAL 1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'boolean_field',
                'value': false,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'numeric_date_cyymmdd',
                'value': '2019-01-04',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
                'value': {
                    'type': 'hxgn.api.dialog.LargeProperty',
                    'encodedData': '',
                    'hasMore': true,
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F44C58',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': '0 = Boolean fld',
                    },
                ],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'E',
                    'description': 'Value E',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#E7F81C',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NOT NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: P',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '22:55',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': 'temp',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#3CF912',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int field in Red ForeGround / int_fleld>money_field',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F90202',
                    },
                ],
                'format': 'int64',
                'name': 'int_field',
                'value': 1234567891,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
    {
        'type': 'hxgn.api.dialog.Record',
        'annotations': [
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BGND_COLOR',
                'value': '#F1BFEF',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'BOLD_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'ITALIC_TEXT',
                'value': '1',
            },
            {
                'type': 'hxgn.api.dialog.Annotation',
                'name': 'TIP_TEXT',
                'value': 'Boolean fld = to 0',
            },
        ],
        'id': 'Q         ',
        'properties': [
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'email_field',
                'value': 'guru@yahoo.com',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_unformatted_number',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'largeDecimal',
                'value': '0.18350965454545',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmm',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#71F2EA',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': '1 <> to Boolean fld',
                    },
                ],
                'name': 'money_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'timestamp_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_unformatted_number',
                'value': '123456',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Date is LESS THAN Current Date',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F0FD08',
                    },
                ],
                'format': 'date',
                'name': 'date_field',
                'value': '2019-01-02',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date-time',
                'name': 'timestamp_time',
                'value': '2019-03-11T15:16:48',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'L_phoneNumber',
                'value': '404-410-4302',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_time_hhmmss',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_field',
                'value': '123456789.12',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'decimal',
                'name': 'numeric_percent',
                'value': '1234.1234',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F6BAA8',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld NOT EQ true',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'int_date',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'html',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time_plus_One',
                'value': '05:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#BAF76A',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld = to false',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'alpha_key',
                'value': 'Q         ',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'int_time_hhmm',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F4EE6B',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Boolean fld NOT EQUAL 1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#1446F3',
                    },
                ],
                'name': 'boolean_field',
                'value': false,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'numeric_date_cyymmdd',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'image',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#F44C58',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': '0 = Boolean fld',
                    },
                ],
                'name': 'char_field',
                'value': {
                    'type': 'hxgn.api.dialog.CodeRef',
                    'code': 'E',
                    'description': 'Value E',
                },
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'L_Current_Time',
                'value': '04:46:25',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_CURRENT_DATE_Plus_OneMONTH',
                'value': '2019-08-31',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#1CF8E0',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Image IS NULL',
                    },
                ],
                'name': 'emailTest',
                'value': 'junayed.ahmed@catavolt.com?subject=Alpha Key: Q',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'password_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'time',
                'name': 'time_field',
                'value': '12:50:52',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'url_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'phone_field',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'name': 'text_field',
                'value': '\nffggg\n@#$&*()’l%-+=/;:,.\n*()’lgfdsa133$45\n{}[]^><\\~|£€¥!_§',
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BGND_COLOR',
                        'value': '#3CF912',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'BOLD_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'ITALIC_TEXT',
                        'value': '1',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'TIP_TEXT',
                        'value': 'Int field in Red ForeGround / int_fleld>unformattednoecimal_field',
                    },
                    {
                        'type': 'hxgn.api.dialog.Annotation',
                        'name': 'FGND_COLOR',
                        'value': '#F90202',
                    },
                ],
                'format': 'int64',
                'name': 'int_field',
                'value': 1234567891,
            },
            {
                'type': 'hxgn.api.dialog.Property',
                'annotations': [],
                'format': 'date',
                'name': 'L_Current_Date',
                'value': '2019-07-31',
            },
        ],
    },
];